searchData={"items":[{"type":"module","title":"Pile","doc":"","ref":"Pile.html"},{"type":"module","title":"Introduction - Pile","doc":"This library provides a way to convert plain Elixir data structures into HTML.\n\n    iex> data = [\n    ...>   \"!doctype\": %{html: true},\n    ...>   html: [\n    ...>     head: [\n    ...>       title: \"Hello World\"\n    ...>     ]\n    ...>   ]\n    ...> ]\n    iex> Pile.to_html(data)\n    \"<!doctype html>   Hello World   \"\n  \n  See `Pile.to_html/2` for details about shape of data structure","ref":"Pile.html#module-introduction"},{"type":"function","title":"Pile.css/1","doc":"Creates a CSS ruleset that can be attached as an attribute to an HTML element","ref":"Pile.html#css/1"},{"type":"function","title":"Pile.to_html/2","doc":"Converts an Elixir keyword list into to an HTML string","ref":"Pile.html#to_html/2"},{"type":"function","title":"Options: - Pile.to_html/2","doc":"- `pretty`: Passing `true` causes the HTML output to be pretty-printed. Defaults to `false`","ref":"Pile.html#to_html/2-options"},{"type":"function","title":"HTML Elements: - Pile.to_html/2","doc":"Keys represents HTML elements and values represents their children. \n\n    iex> Pile.to_html([div: [p: [\"hello\"]]])\n    \"  hello  \"\n\nIf an element only has one text child, you do not need to put it in a list\n\n    iex> Pile.to_html([div: [p: \"hello\"]])\n    \"  hello  \"","ref":"Pile.html#to_html/2-html-elements"},{"type":"function","title":"Attributes - Pile.to_html/2","doc":"Attributes are represented as a map at the start of a list:\n\n    iex> Pile.to_html([div: [%{class: \"container\"}, p: \"hello\"]])\n    \"  hello  \"\n\nIf an element has attributes, but not children, you do not need to put it in a list\n\n    iex> Pile.to_html([div: %{class: \"container\"}])\n    \"  \"\n\nSnake case attribute names are converted to kebab-case:\n    \n    iex> Pile.to_html([div: %{data_custom: \"hello\"}])\n    \"  \"\n\nUse booleans to indicate the presense or absence of [HTML boolean attributes](https://developer.mozilla.org/en-US/docs/Glossary/Boolean/HTML):\n\n    iex> Pile.to_html([input: %{readonly: true}])\n    \" \"\n    iex> Pile.to_html([input: %{readonly: false}])\n    \" \"","ref":"Pile.html#to_html/2-attributes"},{"type":"extras","title":"Pile","doc":"# Pile\n\n_HTML & CSS in Elixir_","ref":"readme.html"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}